import request from '@/utils/request'

// 查询上岗证一览列表
export function listByxWorklicense(query) {
  return request({
    url: '/training/byxWorklicense/list',
    method: 'get',
    params: query
  })
}

// 培训成绩调用上岗证
export function listTraining(query) {
  return request({
    url: '/training/byxWorklicense/listByxWorklicense',
    method: 'get',
    params: query
  })
}

export function licenseData(query) {
  return request({
    url: '/training/byxWorklicense/licenseData',
    method: 'get',
    params: query
  })
}
// 查询上岗证一览详细
export function getByxWorklicense(id) {
  return request({
    url: '/training/byxWorklicense/' + id,
    method: 'get'
  })
}

// 新增上岗证一览
export function addByxWorklicense(data) {
  return request({
    url: '/training/byxWorklicense',
    method: 'post',
    data: data
  })
}

// 修改上岗证一览
export function updateByxWorklicense(data) {
  return request({
    url: '/training/byxWorklicense',
    method: 'put',
    data: data
  })
}

// 删除上岗证一览
export function delByxWorklicense(id) {
  return request({
    url: '/training/byxWorklicense/' + id,
    method: 'delete'
  })
}

// 导出上岗证一览
export function exportByxWorklicense(query) {
  return request({
    url: '/training/byxWorklicense/export',
    method: 'get',
    params: query
  })
}
